#### Linux From Scratch - Version 7.9

### Chapter 5. Constructing a Temporary System

- Prev

  Texinfo-6.1

- Next

  Xz-5.2.2

- Up
- Home

# 5.33. Util-linux-2.27.1

The Util-linux package contains miscellaneous utility programs.

Approximate build time: 0.7 SBU
Required disk space: 118 MB

## 5.33.1. Installation of Util-linux

Prepare Util-linux for compilation:

    ./configure --prefix=/tools                \
                --without-python               \
                --disable-makeinstall-chown    \
                --without-systemdsystemunitdir \
                PKG_CONFIG=""

The meaning of the configure option:

`--without-python`

  This switch disables using Python if it is installed on the host system. It avoids trying to build unneeded bindings.

`--disable-makeinstall-chown`

  This switch disables using the chown command during installation. This is not needed when installing into the /tools directory and avoids the necessity of installing as root.

`--without-systemdsystemunitdir`

  On systems that use systemd, the package tries to install a systemd specific file to a non-existent directory in /tools. This switch disables the unnecessary action.

`PKG_CONFIG=""`

  Setting this environment variable prevents adding unneeded features that may be available on the host. Note that the location shown for setting this environment variable is different from other LFS sections where variables are set preceding the command. This location is shown to demonstrate an alternative way of setting an environment variable when using configure.

Compile the package:

    make

Install the package:

    make install

- Prev

  Texinfo-6.1

- Next

  Xz-5.2.2

- Up
- Home